Skip to main content
GET
Returns a list of scheduled events in the specified space.

Authorizations

Authorization
string
header
required

OAuth2 bearer token in the Authorization header

Path Parameters

space_id
string<uuid>
required

UP Space Id

Query Parameters

page
integer
default:1

Page

per_page
integer
default:30

Number of entries per page

name_lookup
string

Substring or exact match on event name (matches the GraphQL StringMatcher).

name_case_sensitive
boolean
default:false

Whether name_lookup is matched case-sensitively.

name_substring
boolean
default:true

Whether name_lookup is treated as a substring match.

colors
enum<string>[]

Filter by event colors.

Available options:
BLUE,
CYAN,
GREEN,
MAGENTA,
RED,
YELLOW
tags_any
string[]

Match events tagged with any of the given tags.

tags_all
string[]

Match events tagged with all of the given tags.

Response

List Events

events
object[]

List of Events for the current page.

page
integer
Example:

1

per_page
integer
Example:

30

page_count
integer
Example:

1

total_count
integer
Example:

12